/// <reference types="node" />
/// <reference types="node" />
import http from "node:http";
declare const BODY: unique symbol;
declare const HEADERS: unique symbol;
export interface ServerlessResponseProps {
    method: string;
    headers: Record<string, string | string[] | undefined>;
}
export declare class ServerlessResponse extends http.ServerResponse {
    [BODY]: Buffer[];
    [HEADERS]: Record<string, string>;
    private _wroteHeader;
    private _header;
    private _initialHeaders;
    constructor({ method, headers }: ServerlessResponseProps);
    static body(res: ServerlessResponse): Buffer;
    static headers(res: ServerlessResponse): {
        [x: string]: string;
    };
    get headers(): Record<string, string>;
    setHeader(key: string, value: string | number | string[]): this;
    writeHead(statusCode: number, reason?: string | any | any[], obj?: any | any[]): this;
}
export {};
