/// <reference types="node" />
/// <reference types="node" />
import http from "node:http";
import type { ResponseStream } from "../types/aws-lambda.js";
declare const HEADERS: unique symbol;
export interface StreamingServerResponseProps {
    method?: string;
    headers?: Record<string, string | string[] | undefined>;
    responseStream: ResponseStream;
    fixHeaders: (headers: Record<string, string>) => void;
    onEnd: (headers: Record<string, string>) => Promise<void>;
}
export declare class StreamingServerResponse extends http.ServerResponse {
    [HEADERS]: Record<string, string>;
    responseStream: ResponseStream;
    fixHeaders: (headers: Record<string, string>) => void;
    onEnd: (headers: Record<string, string>) => Promise<void>;
    private _wroteHeader;
    private _hasWritten;
    private _initialHeaders;
    private _cookies;
    private _compressed;
    constructor({ method, headers, responseStream, fixHeaders, onEnd, }: StreamingServerResponseProps);
    get headers(): Record<string, string>;
    setHeader(key: string, value: string | number | string[]): this;
    removeHeader(key: string): this;
    writeHead(statusCode: number, _statusMessage?: string | http.OutgoingHttpHeaders | http.OutgoingHttpHeader[], _headers?: http.OutgoingHttpHeaders | http.OutgoingHttpHeader[]): this;
    end(_chunk?: Uint8Array | string | (() => void), _encoding?: BufferEncoding | (() => void), _cb?: (() => void) | undefined): this;
    private internalWrite;
    cancel(error?: Error): void;
}
export {};
