/// <reference types="node" />
import { InternalEvent, InternalResult } from "../event-mapper";
import { Header, PrerenderManifest, RedirectDefinition, RewriteDefinition } from "../types/next-types";
export declare function addNextConfigHeaders(event: InternalEvent, configHeaders?: Header[] | undefined): Record<string, string | undefined>;
export declare function handleRewrites<T extends RewriteDefinition>(event: InternalEvent, rewrites: T[]): {
    internalEvent: {
        rawPath: string;
        url: string;
        type: "v1" | "v2" | "cf";
        method: string;
        body: Buffer;
        headers: Record<string, string>;
        query: Record<string, string | string[]>;
        cookies: Record<string, string>;
        remoteAddress: string;
    };
    __rewrite: T | undefined;
    isExternalRewrite: boolean;
};
export declare function handleRedirects(event: InternalEvent, redirects: RedirectDefinition[]): InternalResult | undefined;
export declare function fixDataPage(internalEvent: InternalEvent, buildId: string): InternalEvent;
export declare function handleFallbackFalse(internalEvent: InternalEvent, prerenderManifest: PrerenderManifest): InternalEvent;
