import { ServerlessResponse } from "../http/response";
import { MiddlewareManifest } from "../types/next-types";
export declare function isExternal(url?: string): boolean;
export declare function getUrlParts(url: string, isExternal: boolean): {
    hostname: string;
    pathname: string;
    protocol: string;
};
export declare function convertRes(res: ServerlessResponse): {
    statusCode: number;
    headers: {
        [x: string]: string;
    };
    body: string;
    isBase64Encoded: boolean;
};
export declare function convertQuery(query: Record<string, string | string[]>): Record<string, string>;
export declare function getMiddlewareMatch(middlewareManifest: MiddlewareManifest): RegExp[];
export declare function loadMiddlewareManifest(nextDir: string): MiddlewareManifest;
