import { Plugin } from "esbuild";
export interface IPluginSettings {
    target: RegExp;
    replacements: string[];
    name?: string;
}
/**
 *
 * openNextPlugin({
 *   target: /plugins\/default\.js/g,
 *   replacements: ["./13_4_13.js"],
 * })
 *
 * To inject arbritary code by using (import at top of file):
 *
 * //#import
 *
 * import data from 'data'
 * const datum = data.datum
 *
 * //#endImport
 *
 * To replace code:
 *
 * //#override id1
 *
 * export function overrideMe() {
 *    // I will replace the "id1" block in the target file
 * }
 *
 * //#endOverride
 *
 *
 * @param opts.target - the target file to replace
 * @param opts.replacements - list of files used to replace the imports/overrides in the target
 *                          - the path is relative to the target path
 * @returns
 */
export default function openNextPlugin({ target, replacements, name, }: IPluginSettings): Plugin;
